extractr docs
Ticketmaster

Free-text event search

GET
/ticketmaster/search_events

Search the storefront for events by free text (artist, event or venue name). Returns flat event summaries.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

q*string

Free-text query (artist, event or venue name).

Length1 <= length
country?string
Default"DE"

Value in

  • "DE"
  • "AT"
  • "BE"
  • "NL"
  • "ES"
  • "FI"
  • "CZ"
  • "DK"
  • "NO"
  • "PL"
  • "ZA"
  • "SE"
  • "CH"
  • "AE"
limit?integer
Range1 <= value <= 50
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ticketmaster/search_events?q=the+weeknd"
{  "query": "string",  "total": 0,  "events": [    {      "id": "1533777022",      "name": "The Weeknd: After Hours Til Dawn Tour",      "url": "https://www.ticketmaster.de/event/the-weeknd-tickets/1533777022",      "status": "onsale",      "event_date": "2026-08-14T18:00:00Z",      "onsale_date": "2019-08-24T14:15:22Z",      "timezone": "Europe/Berlin",      "segment": "Music",      "genre": "R&B",      "image": "http://example.com",      "price_range": {        "min": 6000,        "max": 17600,        "currency": "EUR"      },      "venue": {        "id": "108117",        "name": "Olympiastadion",        "city": "Berlin",        "country_code": "DE",        "location": {          "lat": 52.5145,          "lng": 13.2395        }      }    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}